#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>

int getline(char s[], int n){
int i,c;

for(i=0;i<n  && (c=getchar())!=EOF && c!='\n'; i++)
{
	s[i]=c;
}
s[i]='\0';
return i;
}


int ne(char n[])
{
int h, i, k=0, ok=1;
h=strlen(n);

for(i=0;i<h;i++)
{

	if(!isdigit(n[i])){ok=0;}
	else{ok=1;}

}

if(ok==1){k=atoi(n);

	if(k>=1 && k<100){ok=1;}
	else{ok=0;}
}
return ok;
}


int dobe(char sz[])
{
int h, i, k=0, ok=1;
h=strlen(sz);

for(i=0;i<h;i++)
{

	if(!isdigit(sz[i])){ok=0;}
	else{ok=1;}

}
i=0;

if(ok==1){

for(i=0;i<h;i++)
{
if(i>0 && i<7){ok=1;}
else{ok=0;}
}
}
return ok;
}



void main(void)
{
	char n[128];
	char sz[128];
int i=0, k=0, ok=1, j=0, h=0, egy=0, ketto=0, harom=0, negy=0, ot=0, hat=0;

printf("\t\t Kockas program\n\n\n");

do{
do{
printf("Adja meg hanyszor dob, 100-nal kisebb egesz szam lehet csak!\n");

k=getline(n,128);
j=atoi(n);

if(ne(n)){ok=1;}
else{ok=0; printf("Nem jo a szam, adjon meg ujat\n");}

}while(ok!=1);

do{
printf("Adja meg a dobasokat\n");

getline(sz,128);
h=strlen(sz);

if(j!=h){ok=0; printf("Nem, jo adjon ujat!\n");}
else{

if(dobe(sz)){ok=1;
for(i=0;i<h;i++){
	if(sz[i]=='1'){egy++;}
	if(sz[i]=='2'){ketto++;}
	if(sz[i]=='3'){harom++;}
	if(sz[i]=='4'){negy++;}
	if(sz[i]=='5'){ot++;}
	if(sz[i]=='6'){hat++;}
}

}
else{ok=0; printf("Nem jo");}
}
}while(ok!=1);
}while(k!=0);

printf("Egyes:\t%d\n",egy);
printf("Kettes:\t%d\n",ketto);
printf("Harmas:\t%d\n",harom);
printf("Negyes:\t%d\n",negy);
printf("Otos:\t%d\n",ot);
printf("Hatos:\t%d\n",hat);


}